<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <title>Document</title>
</head>

<body>
    <div class="container-fluid">
        <!-- Header -->
        <div class="row p-2">
            <div class="col-6 text-center">
                <a href="home.html" class="text-primary">Weather App</a>
            </div>
            <div class="col-6 text-center">
                <a href="home.html" class="col-6 text-primary">Current</a>
                <a href="forecast.html" class="col-6 text-primary">Forecast</a>
            </div>
        </div>
        <!-- Title -->
        <div class="text-center text-white p-5" style="background-color:cornflowerblue">
            <span class="text-uppercase">get current weather infomation</span>
        </div>
        <!-- Content -->
        <div class="row align-content-sm-start" style="height: 70vh;">
            <div class="col-12 text-center p-2" style="height: fit-content;">
                <span class="text-capitalize text-primary">Enter City Name</span>
            </div>
            <div class="row col-12 justify-content-center p-2 form-group"  style="height: fit-content;">
                <div class="col-6 row">
                    <div class="col-12 row">
                        <input type="text" class="form-control col-8 mr-3" id="inp-city" placeholder="Enter city name">
                        <button class="btn btn-info" id="btn-search-city">Search City</button>
                    </div>
                    <div id="show-result" class="col-12 mt-5 bg-info text-white">
                        
                    </div>
                </div>
                <img src="" alt="" srcset="">
            </div>
        </div>
        <!-- Footer -->
        <div class="text-center p-5 text-white" style="background-color:cornflowerblue">
            Copyright &#169;Weather App
        </div>
    </div>

</body>
<script src="sample.restAPI.weather.js"></script>
<script>
    $(document).ready(function(){
        //get data input
        $("#btn-search-city").on("click",function(){
            var vCity = $("#inp-city").val();
            //goi Api
            getCurrentWeather(vCity);
            
        })
        
    })
    //show du lieu ra html
</script>
</html>